package me.icymint.libra.sage.core.dialect.query;

public class LogicQueryCondition extends QueryCondition {
	private final Logic logic;
	private final QueryCondition[] qc;

	public LogicQueryCondition(Logic logic, QueryCondition... qc) {
		super(false);
		this.logic = logic;
		this.qc = qc;
	}

	public Logic getLogic() {
		return logic;
	}

	public QueryCondition[] getQueryConditions() {
		return qc;
	}

	@Override
	public String getText() {
		if (qc.length == 0)
			return "";
		if (qc.length == 1)
			return qc[0].getText();
		StringBuilder sb = new StringBuilder("(");
		sb.append(qc[0].getText());
		for (int i = 1; i < qc.length; i++) {
			sb.append(" ").append(logic.name()).append(" ")
					.append(qc[i].getText());
		}
		return sb.append(" )").toString();
	}

}
