package me.icymint.libra.sage.core.query;

import java.sql.BatchUpdateException;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

public class Executes implements SqlQuery<Integer> {

	private String[] sql;

	public Executes(String[] sql) {
		this.sql = sql;
	}

	@Override
	public Integer query(Connection conn) throws SQLException {
		Statement st = conn.createStatement();
		try {
			for (String sql : this.sql) {
				st.addBatch(sql);
			}
			st.executeBatch();
		} catch (BatchUpdateException e) {
			int[] x = e.getUpdateCounts();
			for (int i = 0; i < x.length; i++) {
				if (x[i] == Statement.EXECUTE_FAILED) {
					throw new SQLException("执行语句[" + i + "]： " + this.sql[i], e);
				}
			}
			throw e;
		} finally {
			st.close();
		}
		return 0;
	}

}
