package me.icymint.libra.sage.core.result;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 结果处理接口，其负责把ResultSet转换成我们需要的结果。 该接口和Spring中的RowMapping是类似的。
 * 
 * @author Daniel
 * @datetime 2012-11-12上午10:58:05
 * 
 * @param <T>
 */
public interface ResultHandler<T> {
	int getOffset();

	/**
	 * 把结果转换成我们需要的泛型结果{@link T}。 该结果可以为任何类。
	 * 
	 * @param rs
	 * @throws SQLException
	 */
	T handle(ResultSet rs) throws SQLException;
}
