package me.icymint.libra.sage.model.operator;

import me.icymint.libra.sage.model.SqlProcedure;

public interface ProcedureManager {

	/**
	 * 新增存储过程，添加到存储过程列表末尾。
	 * 
	 * @param p
	 * @throws SQLExistsException
	 */
	void addProcedure(SqlProcedure p) throws SQLExistsException;

	/**
	 * 删除存储过程。
	 * 
	 * @param p
	 */
	void delProcedure(SqlProcedure p);

	/**
	 * 获取序列为ind的存储过程.
	 * 
	 * @param ind
	 * @throws SQLNotExistsException
	 */
	SqlProcedure getProcedure(int ind) throws SQLNotExistsException;

	/**
	 * 获取名称为name的存储过程。
	 * 
	 * @param name
	 * @throws SQLNotExistsException
	 */
	SqlProcedure getProcedure(String name) throws SQLNotExistsException;

	/**
	 * 获取名称为name的存储过程所在的序列号。
	 * 
	 * @param name
	 */
	int getProcedureIndex(String name) throws SQLNotExistsException;

	/**
	 * 获取所有存储过程。
	 */
	SqlProcedure[] getProcedures();

	/**
	 * 获取存储过程总数。
	 */
	int getProcedureSize();

}
