package me.icymint.libra.sage.model.operator;

import me.icymint.libra.sage.model.SqlVar;

/**
 * 本接口用于管理SqlObject对象的字段管理。
 * 
 * @author Daniel
 * @datetime 2012-11-13下午3:14:30
 * 
 */
public interface VarManager {
	/**
	 * 新增字段，添加到字段列表末尾。
	 * 
	 * @param v
	 * @throws SQLExistsException
	 */
	void addVar(SqlVar v) throws SQLExistsException;

	/**
	 * 删除字段。
	 * 
	 * @param v
	 */
	void delVar(SqlVar v);

	/**
	 * 获取序列为ind的字段.
	 * 
	 * @param ind
	 * @throws SQLNotExistsException
	 */
	SqlVar getVar(int ind) throws SQLNotExistsException;

	/**
	 * 获取名称为name的字段。
	 * 
	 * @param name
	 * @throws SQLNotExistsException
	 */
	SqlVar getVar(String name) throws SQLNotExistsException;

	/**
	 * 获取名称为name的字段所在的序列号。
	 * 
	 * @param name
	 */
	int getVarIndex(String name) throws SQLNotExistsException;

	/**
	 * 获取所有字段。
	 */
	SqlVar[] getVars();

	/**
	 * 获取字段总数。
	 */
	int getVarSize();
}
