package me.icymint.libra.sage.utils;

import java.util.Arrays;

/**
 * 数组工具箱。
 * 
 * @author Daniel
 * @datetime 2012-11-2下午1:46:27
 * 
 */
public class ArrayUtils {

	public static <T> T[] concat(T[] t1, T t) {
		T[] t2 = Arrays.copyOf(t1, t1.length + 1);
		t2[t1.length] = t;
		return t2;
	}

	/**
	 * 合并两个数组。
	 * 
	 * @param t1
	 * @param t2
	 */
	public static <T> T[] concat(T[] t1, T[] t2) {
		if (t1 == null)
			return t2;
		if (t2 == null)
			return t1;
		T[] t = Arrays.copyOf(t1, t1.length + t2.length);
		System.arraycopy(t2, 0, t, t1.length, t2.length);
		return t;
	}
}
