package me.icymint.libra.sage.utils;

import java.sql.Timestamp;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * 计数器，提供日志的主键id的生成。
 * 
 * @author Daniel
 * @datetime 2012-12-14下午1:54:25
 * 
 */
public class Counter {
	private Map<String, AtomicInteger> map = new LinkedHashMap<String, AtomicInteger>();

	private AtomicInteger getAI(String name) {
		AtomicInteger ai = map.get(name);
		if (ai == null) {
			ai = new AtomicInteger();
			map.put(name, ai);
		}
		return ai;
	}

	public int getNextId(String name) {
		return this.getAI(name).getAndIncrement();
	}

	public Timestamp getNow() {
		return new Timestamp(System.currentTimeMillis());
	}

	public void setStart(String name, int start) {
		getAI(name).set(start + 1);
	}
}
